Developer Guides
################

Customize Elgg's behavior with plugins.

.. toctree::
   :maxdepth: 1
   
   dont-modify-core
   plugins
   guidelines
   accessibility
   ajax
   authentication
   context
   database
   actions
   helpers
   i18n
   javascript
   menus
   notifications
   pagehandler
   page-owner
   permissions-check
   settings
   river
   routing
   themes
   views
   widgets
   walled-garden
   web-services
   upgrading
   events-list
   hooks-list
